Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> CGI abuses >> PHPNews auth.php Remote File Include Vulnerability


Vulnerability Assessment Details

PHPNews auth.php Remote File Include Vulnerability

Vulnerability Assessment Summary
Detects remote file include vulnerability in auth.php in PHPNews

Detailed Explanation for this Vulnerability Assessment

Summary :

The remote web server contains a PHP script that suffers from a remote
file include vulnerability.

Description :

The remote host is running PHPNews, an open-source news application
written in PHP.

The installed version of PHPNews has a remote file include
vulnerability in the script 'auth.php'. By leveraging this flaw, a
attacker can cause arbitrary PHP code to be executed on the remote
host using the permissions of the web server user.

See also :

http://archives.neohapsis.com/archives/bugtraq/2005-03/0026.html
http://newsphp.sourceforge.net/changelog/changelog_1.25.txt

Solution :

Upgrade to PHPNews 1.2.5 or greater or make sure PHP's
'register_globals' and 'permit_url_fopen' settings are disabled.

Network Security Threat Level:

Medium / CVSS Base Score : 6
(AV:R/AC:H/Au:NR/C:P/A:P/I:P/B:N)

Networks Security ID: 12696

Vulnerability Assessment Copyright: This script is Copyright (C) 2005-2006 Tenable Network Security.

Cables, Connectors

Lot 5 Dell Latitude E6530 15.6" Core i5-3380 2.90GHz 8GB 320GB Battery Adapter
$924.99
Lot 5 Dell Latitude E6530 15.62017 12” Apple MacBook, Gold , Core i5, 512GB SSD, 8GB RAM
$1099.0
2017 12” Apple MacBook, Gold , Core i5, 512GB SSD, 8GB RAM pictureASUS P9X79 LE Intel Core i7-3820 E Quad-Core 3.6GHz GSKILL 8GB Ripjaws Z Series
$325.0
ASUS P9X79 LE Intel Core i7-3820 E Quad-Core 3.6GHz GSKILL 8GB Ripjaws Z Series pictureIntel Core i7-3820 3.6GHz Quad-Core and 32GB DDR3 memory (4x8GB Dataram)
$275.0
Intel Core i7-3820 3.6GHz Quad-Core and 32GB DDR3 memory (4x8GB Dataram) picture


Discussions

No Discussions have been posted on this vulnerability.